using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 部门培训内容关联表
    /// </summary>
    [Description("部门培训内容关联表")]
    public class T_SE_DEP_TRAIN_PLAN_CONTENT : MesEntityBase
    {

        /// <summary>
        /// 部门培训计划详情
        /// </summary>
        [Description("部门培训计划详情")]
        [DataFieldForeignKey("Nav_DepTrainPlanDetail", "Nav_DepTrainPlanContent")]
        public Guid DEP_TRAIN_PLAN_DETAIL_ID { get; set; }

        /// <summary>
        /// 导航: 部门培训计划详情
        /// </summary>
        [Description("导航: 部门培训计划详情")]
        public T_SE_DEP_TRAIN_PLAN_DETAIL Nav_DepTrainPlanDetail { get; set; }

        /// <summary>
        /// 培训内容ID
        /// </summary>
        [Description("培训内容")]
        [DataFieldForeignKey("Nav_TestEnumPoint")]
        [FormFieldEdit]
        public Guid? CONTENT_ID { get; set; }

        /// <summary>
        /// 导航: 培训内容
        /// </summary>
        [Description("导航: 培训内容")]
        public T_SE_TEST_ENUM_POINT Nav_TestEnumPoint { get; set; }
    }
}
